<!DOCTYPE html>
<html lang="en">

<head>
    <!-- ##### HEADER ##### -->
    <%- include('include/_header') %>
    <!-- ##### /HEADER ##### -->
</head>

<body>

    <!-- ##### NAVBAR ##### -->
    <%- include('include/_navbar') %>
    <!-- ##### /NAVBAR ##### -->

    <!-- start page-wrapper -->
    <div class="page-wrapper">

        <!-- ##### SIDEBAR ##### -->
        <%- include('include/_sidebar') %>
        <!-- ##### /SIDEBAR ##### -->


        <!-- ##### CONTENT #### -->
        <div class="page-content">

            <div class="container-fluid pb-5">
                <!-- Page-Title -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="page-title-box">
                            <div class="mb-3">
                                <ol class="breadcrumb ">
                                    <li class="breadcrumb-item"><a href="javascript:void(0);">Cars</a></li>
                                    <li class="breadcrumb-item active">List Car</li>
                                </ol>
                            </div>
                            <a href="/add-cars" type="button"
                                class="btn btn-blue btn-square waves-effect waves-light btn-add float-right">
                                <i class="mdi mdi-plus mr-2"></i>
                                Add New Car
                            </a>
                            <h4 class="page-title">List Car</h4>
                        </div>
                        <!--end page-title-box-->

                        <!-- Alert delete -->
                        <div class="container4">
                            <% const m=getMessages() %>
                            <% if (m.notify) { %>
                            <% m.notify.forEach((element) => { %>
                            <div class="alert alert-container alert-color-green alert-dismissible fade show"
                                role="alert">
                                <strong> <%= element %> </strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <% }) %>
                            <% } %>
                        </div>

                        <!-- Untuk modal delete -->
                        <div class="container5">
                       
                        </div>

                        <!-- Butoon Filter -->
                        <div class="button-items mb-4">
                            <a type="button" class="btn btn-outline-info waves-effect waves-light btn-filter">All</a>
                            <a type="button" class="btn btn-outline-info waves-effect waves-light btn-filter">Small</a>
                            <a type="button" class="btn btn-outline-info waves-effect waves-light btn-filter">Medium</a>
                            <a type="button" class="btn btn-outline-info waves-effect waves-light btn-filter">Large</a>
                        </div>

                    </div>
                    <!--end col-->
                </div>
                <!-- end page title end breadcrumb -->

                <div class="row">

                    <% for(let i=0; i<car.length; i++) {%>
                    <div class="col-lg-4 col-12">
                        <div class="card e-co-product">
                            <a href="" class="img-car">
                                <img src=" <%= car[i].foto  %>" alt="" class="img-fluid">
                            </a>
                            <div class="product-info border-dark">
                                <a href="#" class="product-title"> <%= car[i].name  %> </a>
                                <p class="product-price">RP <%= car[i].rentPerday  %> / hari</p>
                                <div>
                                    <img src="./assets/images/icons/fi_clock.png" alt=""
                                        class="img-fluid float-left pr-2">
                                    <p class="title-img">Updated at
                                        <%= moment(car[i].date).format('MMMM Do YYYY, h:mm ');  %></p>
                                </div>
                                <div class="row">
                                    <div class="col-lg-6 col-6">
                                        <a type="button"
                                            class="btn btn-outline-danger waves-effect waves-light btn-block text-decoration-none text-danger delete"
                                            data-id="<%= car[i]._id  %>">
                                            <i class="mdi mdi mdi-trash-can mr-2 text-danger"></i> Delete </a>
                                    </div>
                                    <div class="col-lg-6 col-6">
                                        <a href="/update-cars?id=<%= car[i]._id  %>" type="button"
                                            class="btn btn-edit btn-square waves-effect waves-light btn-block update">
                                            <i class="mdi mdi-square-edit-outline mr-2"></i> Edit </a>
                                    </div>
                                </div>
                            </div>
                            <!--end card-body-->
                        </div>
                        <!--end card-->
                    </div>
                    <% } %>

                </div>
                <!--end row-->

            </div><!-- container -->


            <footer class="footer text-center text-sm-left">
                &copy; 2022 Binar Car Rental
            </footer>
            <!--end footer-->
        </div>
        <!-- ##### /CONTENT #### -->


    </div>
    <!-- end page-wrapper -->

    <!-- ##### FOOTER #### -->
    <%- include('include/_footer') %>
    <!-- ##### /FOOTER #### -->

</body>

</html>